Package com.avaya.clientservices.unifiedportal

## Enum MeetingMediaType

- java.lang.Object
- - java.lang.Enum<MeetingMediaType>
  - - com.avaya.clientservices.unifiedportal.MeetingMediaType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MeetingMediaType>`

      public enum MeetingMediaType
      extends java.lang.Enum<MeetingMediaType>

  Meeting media types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUDIO_ONLY` | The conference has no video (audio only).
    `COMPOSITE_VIDEO` | The conference video is composited.
    `MULTI_STREAM_SWITCHED_VIDEO` | Video images of different participants are separately routed by the conference media server.
    `SWITCHED_VIDEO` | Video images of different participants are routed to the client as a single video stream by the conference media server.
    `UNDEFINED` | The media type is not defined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MeetingMediaType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MeetingMediaType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MeetingMediaType UNDEFINED

      The media type is not defined.

    - #### AUDIO_ONLY

          public static final MeetingMediaType AUDIO_ONLY

      The conference has no video (audio only).

    - #### COMPOSITE_VIDEO

          public static final MeetingMediaType COMPOSITE_VIDEO

      The conference video is composited. The layout of the composite video image is controlled by the conference media server.

    - #### SWITCHED_VIDEO

          public static final MeetingMediaType SWITCHED_VIDEO

      Video images of different participants are routed to the client as a single video stream by the conference media server. The layout of the different video images is controlled by the local client.

    - #### MULTI_STREAM_SWITCHED_VIDEO

          public static final MeetingMediaType MULTI_STREAM_SWITCHED_VIDEO

      Video images of different participants are separately routed by the conference media server. The layout of the different video images is controlled by the local client.

  - ### Method Detail

    - #### values

          public static MeetingMediaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeetingMediaType c : MeetingMediaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeetingMediaType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null